Ethereum Custom Methods

This guide outlines Blockdaemon's Ethereum JSON-RPC APIs for retrieving transaction and transfer data. One of the key capabilities is retrieving transaction hashes associated with a specific address.

Ethereum custom methods support the following networks:

  • mainnet
  • sepolia
  • hoodi

Deposits API

bd_getDeposits

Return detailed information about Ethereum deposit transactions.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getDeposits",
  "params": [
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "withdrawalAddress": "0x0000000000000000000000000000000000000000",
      "pubKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "blockHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "transactionHash": "0x0000000000000000000000000000000000000000000000000000000000000000"
    }
  ]
}

Request Parameters

FieldTypeDescription
blockStartString or numberStarting block number for the query range.
blockEndString or numberEnding block number for the query range.
fromString or numberStart epoch timestamp for filtering deposits.
toString or numberEnd epoch timestamp for filtering deposits.
withdrawalAddressStringWithdrawal address to look up deposits for.
pubKeyStringPublic key to look up deposits for.
blockHashStringBlock hash to look up deposits for.
transactionHashStringTransaction hash to look up deposits for.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "pubKey": "0xa61ad34f05fa2033cefc1b8176e6b51ec0c28f10e02ffee1045d518537cf8ce6ec7fb2de97e4acb63cef471e8f25d8db",
    "amount": "0x0040597307000000",
    "blockNumber": "0x16634CA",
    "withdrawalCredentials": "0x0100000000000000000000007e2a2fa2a064f693f0a55c5639476d913ff12d05",
    "signature": "0xaa3d22d54dd8c01393c4b51c1f2693d50e5228d88b854787b4516bd66550f65755760885653e69baebbe50d3c8a893e60fbdf64f385fd5c240d10c28873eac20befcef79b01c90d669658e09d582cce83089a139d2a53353e7a947e3ed815c5c",
    "index": "0xac41230000000000",
    "txHash": "0x5d8a51de801fa333cf5abad7b8c173ac1b344f4162d4d44ed873f49695da598a",
    "depositProvider": "0x00000000219ab540356cBB839Cbe05303d7705Fa",
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "withdrawalAddress": "0x0000000000000000000000000000000000000000",
    "withdrawalAddressType": "0x02"
  }
}

Response Object

FieldTypeDescription
pubKeystringPublic key of the validator the deposit was made to.
amountstringAmount of the deposit.
blockNumberstringBlock number of the deposit
withdrawalCredentialsstringWithdrawal credentials of the deposit
signaturestringSignature of the deposit
indexstringIndex of the deposit
txHashstringTransaction hash of the deposit
depositProviderstringDeposit provider of the deposit
blockHashstringBlock hash of the deposit
withdrawalAddressstringWithdrawal address of the deposit
withdrawalAddressTypestringWithdrawal address type of the deposit

Account API

bd_getTransactionHashesByAddress

Returns transaction hashes by address. Use this method to track transactions associated with a specific address.


Compute Unit Value: 10 CU

Request Example

{
    "jsonrpc": "2.0",
    "method": "bd_getTransactionHashesByAddress",
    "id": 1,
    "params": [
        "0x388C818CA8B9251b393131C08a736A67ccB19297"
    ]
}
{
    "jsonrpc": "2.0",
    "method": "bd_getTransactionHashesByAddress",
    "id": 1,
    "params": [
      "0x388C818CA8B9251b393131C08a736A67ccB19297",
      {
        "blockStart": "0x10D4F",                 
        "blockEnd": "0x10FFFF",                  
        "order": "asc",                          
        "pageSize": 50,                           
    	}
   ]
}

Request Parameters

TypeDescription
params: Hex-encoded EVM address(required) The main account address.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
orderEnum (desc|asc)(optional) Return hashes by block number in ascending or descending order. The default is descending.
pageTokenString(optional) Token for pagination.
pageSizeUnsigned integer or hex-encoded number(optional) Max results per page (1-100). Default is 100.
contractComma-separated string of hex-encoded EVM addresses(optional) Only return hashes where the specified contract address was invoked. Multiple addresses are treated as an OR filter.
❗️

Info:

The pageToken should be used in combination with prior filter arguments to work properly.

Response Example

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "transactions": [
            "0xf717bf9b76338c275373bf25b48692d4aad2f88b72b8677a5cae00a6c9e60157",
            "0x82d97cb65e4bd8c2f76e45d90f8f09550317b52a95d8c5d6b92a662fe72cac60",
            "0xdebb7de86c2f09f94e23c12c4a09f9abab4391b274febfeef1505b096cd1ad84",
            ...
        ]
    }
}

Response Object

FieldTypeDescription
transactionsList of hashes(required) List of matching transaction hashes.
pageTokenString(optional) Token for fetching the next page of results. Add the token in the request payload.

Blocks API

bd_getBlockHeaderByDate

Returns a block header for the given date (Unix timestamp). If no exact match is found, returns the nearest block.


Compute Unit Value: 10 CU

Request Example

{
    "jsonrpc": "2.0",
    "method": "bd_getBlockHeaderByDate",
    "id": 1,
    "params": [1728476495]
}

Request Parameter

FieldTypeDescription
params: Timestamptimestamp(required) The timestamp in Unix seconds can be provided as either a number or a hex-encoded number.

Response Example

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "time": "0x6706754f",
        "height": "0x13f55fe",
        "hash": "0xead6af5739422ca8e99fba58943e138c718e5a093c437513973d9945ef89472b"
    }
}

Response Object

FieldTypeDescription
timeHex-encoded number(required) The block time in Unix timestamp.
heightHex-encoded number(required) The block number.
hashString(required) The block hash.

bd_debug_traceBlockByHash

Get a geth trace by block hash including decoded data.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_debug_traceBlockByHash",
  "params": [
    "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    {
      "tracer": "callTracer",
      "tracerConfig": {
        "onlyTopCall": false
      }
    }
  ]
}

Request Parameters

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
tracerstring(optional) Tracer to use (Only callTracer is supported).
tracerConfigobject(optional) Tracer config object.
tracerConfig.onlyTopcallboolean(optional) Only return the top call in the trace.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": [
    {
      "result": {
        "type": "call",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasUsed": "0x5208",
        "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
        "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "calls": [
          {
            "type": "call",
            "from": "0x0000000000000000000000000000000000000000",
            "to": "0x0000000000000000000000000000000000000000",
            "value": "0x0",
            "gas": "0x5208",
            "gasUsed": "0x5208",
            "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
            "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
            "calls": [
              null
            ],
            "decoded": {
              "index": 0,
              "name": "address",
              "type": "unit",
              "value": "0x0000000000000000000000000000000000000000"
            }
          }
        ],
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown",
        "decodedOutput": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        }
      },
      "txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
    }
  ]
}

Response Object

FieldTypeDescription
typeStringType of the trace.
fromString addressFrom address of the trace.
toString addressTo address of the trace, can be null.
valueStringThe integer of the value sent with this transaction.
gasStringThe integer of the gas provided for the transaction execution.
gasUsedStringThe integer of the gas used.
inputStringThe data given at the time of input.
outputStringThe data which is returned as an output.
callsArrayA list of sub-calls.
decodedObjectThe decoded data.
nameStringName of the element.
eventTypeStringType of the event.
decodedOutputObjectThe decoded output data
txHashStringThe hash of the transaction.

bd_debug_traceBlockByNumber

Gets a geth trace by block number including decoded data


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_debug_traceBlockByNumber",
  "params": [
    "0x1",
    {
      "tracer": "callTracer",
      "tracerConfig": {
        "onlyTopCall": false
      }
    }
  ]
}

Request Parameters

TypeDescription
params: Block Number(required) Block number of the block to trace.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
tracerstring(optional) Tracer to use (Only callTracer is supported).
tracerConfigobject(optional) Tracer config object.
tracerConfig.onlyTopcallboolean(optional) Only return the top call in the trace.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": [
    {
      "result": {
        "type": "call",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasUsed": "0x5208",
        "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
        "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "calls": [
          {
            "type": "call",
            "from": "0x0000000000000000000000000000000000000000",
            "to": "0x0000000000000000000000000000000000000000",
            "value": "0x0",
            "gas": "0x5208",
            "gasUsed": "0x5208",
            "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
            "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
            "calls": [
              null
            ],
            "decoded": {
              "index": 0,
              "name": "address",
              "type": "unit",
              "value": "0x0000000000000000000000000000000000000000"
            }
          }
        ],
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown",
        "decodedOutput": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        }
      },
      "txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
    }
  ]

Response Object

FieldTypeDescription
typeStringType of the trace.
fromString addressFrom address of the trace.
toString addressTo address of the trace, can be null.
valueStringThe integer of the value sent with this transaction.
gasStringThe integer of the gas provided for the transaction execution.
gasUsedStringThe integer of the gas used.
inputStringThe data given at the time of input.
outputStringThe data which is returned as an output.
callsArrayA list of sub-calls.
decodedObjectThe decoded data.
nameStringName of the element.
eventTypeStringType of the event.
decodedOutputObjectThe decoded output data
txHashStringThe hash of the transaction.

Tokens API

bd_getToken

Gets a token by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getToken",
  "params": [
    "0x0000000000000000000000000000000000000000"
  ]
}

Request Parameter

TypeDescription
params: Address(required) Address to get the token for.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "token": {},
    "rawContract": {}
  }
}

Response Object

ArgumentTypeDescription
decimalsStringDecimals of the token
totalSupplyStringTotal supply of the token
nameStringName of the token
symbolStringSymbol of the token

bd_getTokenBalance

Returns the token balance of a given address for a specific ERC-20 token contract.

🚧

Info

Historical queries only supported on Ethereum mainnet.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "bd_getTokenBalance",
  "params": [
    {
      "contractAddress": "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE",
      "ownerAddress": "0xb8aFF7b6ddbecaF1e094C5a628845fC13e93d7f2",
      "blockNumber": "0x14EC0C9"
    }
  ]
}
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "bd_getTokenBalance",
  "params": [
    {
      "contractAddress": "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE",
      "ownerAddress": "0xb8aFF7b6ddbecaF1e094C5a628845fC13e93d7f2",
      "date": "0x67c07b8f"
    }
  ]
}

Request Parameters

FieldTypeDescription
contractAddressString(required) The token contract address for which the balance is being queried
ownerAddressString(required) The account address whose token balance you want to retrieve
dateString/Int (hex/int)(optional) Timestamp to fetch historical balance
blockNumberString/Int (hex/int)(optional) Block number to fetch historical balance

Response Example

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": 0x659abc0a1818f23843ff59b3
}

bd_getTokenBalances

Returns the token balances of given account address in wei.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getTokenBalances",
  "params": [
    "0x0000000000000000000000000000000000000000",
    false
  ]
}

Request Parameter

FieldTypeDescription
params: Token AddressString(required) Address to look up token balances for.
params: FilterBoolean(required) Whether to filter token balances that are 0 or not, false will include them.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {}
}

bd_getTokenMetadata

Returns token metadata, such as symbol, name, decimals, and total supply.


Compute Unit Value: 10 CU

Request Example

{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "bd_getTokenMetadata",
    "params": [
        "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE"
    ]
}

Request Parameter

FieldTypeDescription
params: Token AddressString(required) Token contract address.

Response Example

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "decimals": "0x12",
        "totalSupply": "0x314d8d3733f32fa376f039a13d46",
        "name": "SHIBA INU",
        "symbol": "SHIB"
    }
}

Response Object

FieldTypeDescription
decimalsHex encoded number(required) The decimal places the token uses.
totalSupplyHex encoded number(required) The number of a specific token that can currently exist.
nameString(required) The token name.
symbolString(required) The token symbol.

ABI API

bd_getContractAbiByAddress

🚧

Info

This method is available only for the mainnet.

This method returns the ABI (Application Binary Interface) for a given contract address. It is not limited to token addresses but applies to any contract address. The ABI is required to interact with the contract.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "bd_getContractAbiByAddress",
  "params": [
    "0x0e5dDA855EB1De2a212cD1F62b2a3EE49D20c444"
  ]
}

Request Parameter

FiledTypeDescription
params: Contract AddressString(required) The contract address for which you want to retrieve the ABI.

Response Example

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "beacon",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "data",
          "type": "bytes"
        }
      ],
      "stateMutability": "payable",
      "type": "constructor"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": false,
          "internalType": "address",
          "name": "previousAdmin",
          "type": "address"
        },
        {
          "indexed": false,
          "internalType": "address",
          "name": "newAdmin",
          "type": "address"
        }
      ],
      "name": "AdminChanged",
      "type": "event"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "beacon",
          "type": "address"
        }
      ],
      "name": "BeaconUpgraded",
      "type": "event"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "implementation",
          "type": "address"
        }
      ],
      "name": "Upgraded",
      "type": "event"
    },
    {
      "stateMutability": "payable",
      "type": "fallback"
    },
    {
      "stateMutability": "payable",
      "type": "receive"
    }
  ]
}

Response Object

FieldTypeDescription
inputsArrayAn array of input parameters. Each item includes name, type, and internalType.
indexedBooleanIndicates whether the event parameter is indexed. Only present for event ABI items.
internalTypeStringThe type used internally, e.g., address.
nameStringName of the function or event.
typeStringType of the ABI item. Can be constructor, function, event, fallback, or receive.
anonymousBooleanIndicates if the event is anonymous. Only present for event types.
stateMutabilityStringThe state mutability of the function, e.g., payable.

Transaction API

bd_getTransactionsByAddress

Gets a paginated list of transactions by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getTransactionsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "nonce": "0x0",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "chainId": "0x1",
        "transactionIndex": "0xb4",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasPrice": "0x5bcdcacee",
        "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
        "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
        "v": "0x25",
        "type": "0x2",
        "maxFeePerGas": "0x5bcdcacee",
        "maxFeePerGasBlob": "0x5bcdcacee",
        "accessList": [
          {
            "address": "0x0000000000000000000000000000000000000000",
            "storageKeys": [
              null
            ]
          }
        ],
        "blobVersionedHashes": [
          null
        ],
        "yParity": "0x0"
      }
    ]
  }
}

Response Object

ArgumentTypeDescription
hashStringThe hash of the transaction.
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal.
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
chainIdStringThe chain ID of the block.
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal.
fromStringThe address of the sender.
toStringThe address of the receiver, null when contract creation.
valueStringThe value transferred in wei encoded as hexadecimal.
gasStringThe gas provided by the sender, encoded as hexadecimal.
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal.
inputStringThe data sent along with the transaction.
rStringThe R field of the signature.
sStringThe S field of the signature.
vStringThe V field of the signature.
typeStringThe transaction type.
maxFeePerGasStringThe max fee per gas.
maxPriorityFeePerGasStringThe max priority fee per gas.
maxFeePerGasBlobStringThe max fee per gas blob.
accessListArrayA list of addresses and storage keys that the transaction plans to access.
blobVersionedHashesArrayThe blob versioned hashes.
yParityStringThe y parity.
addressStringThe address of the contract.
txIdStringThe hash of the transaction.
logIndexStringThe index of the log, only included for log indexes.
timestampStringThe timestamp of the event.
contractAddressStringThe address of the contract the event was emitted from, null if no contract interaction.
nextPageTokenStringToken used to retrieve the next page of results.

bd_getDecodedTransactionsByAddress

Gets a paginated list of decoded transactions by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getDecodedTransactionsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "nonce": "0x0",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "chainId": "0x1",
        "transactionIndex": "0xb4",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasPrice": "0x5bcdcacee",
        "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
        "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
        "v": "0x25",
        "type": "0x2",
        "maxFeePerGas": "0x5bcdcacee",
        "maxFeePerGasBlob": "0x5bcdcacee",
        "accessList": [
          {
            "address": "0x0000000000000000000000000000000000000000",
            "storageKeys": [
              null
            ]
          }
        ],
        "blobVersionedHashes": [
          null
        ],
        "yParity": "0x0",
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown"
      }
    ]
  }
}

Response Object

FieldTypeDescription
hashStringThe hash of the transaction
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal
blockHashStringThe hash of the block
blockNumberStringThe number of the block
chainIdStringThe chain ID of the block
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
fromStringThe address of the sender
toStringThe address of the receiver, null when contract creation
valueStringThe value transferred in wei encoded as hexadecimal
gasStringThe gas provided by the sender, encoded as hexadecimal
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal
inputStringThe data sent along with the transaction
rStringThe R field of the signature
sStringThe S field of the signature
vStringThe V field of the signature
typeStringThe transaction type
maxFeePerGasStringThe max fee per gas
maxPriorityFeePerGasStringThe max priority fee per gas
maxFeePerGasBlobStringThe max fee per gas blob
accessListArrayA list of addresses and storage keys that the transaction plans to access
blobVersionedHashesArrayThe blob versioned hashes
yParityStringThe y parity
decodedArrayThe decoded data containing index, name, type, and value
nameStringName of the method function
eventTypeStringType of the event
addressStringThe address of the contract
txIdStringThe hash of the transaction
logIndexStringThe index of the log, only included for log indexes
timestampStringThe timestamp of the event
contractAddressStringThe address of the contract the event was emitted from, null if no contract interaction
nextPageTokenStringToken used to retrieve the next page of results

bd_getTransactionReceiptsByAddress

Gets a paginated list of transaction receipts by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getTransactionReceiptsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "contractAddress": "0x0000000000000000000000000000000000000000",
        "cumulativeGasUsed": "0x5208",
        "effectiveGasPrice": "0x5208",
        "from": "0x0000000000000000000000000000000000000000",
        "gasUsed": "0x5208",
        "logs": [
          {
            "logIndex": "0x0",
            "transactionIndex": "0x0",
            "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockNumber": "0x16634CA",
            "address": "0x0000000000000000000000000000000000000000",
            "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
            "topics": [
              "0x0000000000000000000000000000000000000000000000000000000000000001"
            ],
            "removed": false
          }
        ],
        "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
        "status": "0x1",
        "to": "0x0000000000000000000000000000000000000000",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "transactionIndex": "0x0",
        "type": "0x2",
        "blobGasPrice": "0x5208",
        "blobGasUsed": "0x5208"
      }
    ]
  }
}

Response Object

ArgumentTypeDescription
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
contractAddressStringThe contract address created for contract creation, otherwise null.
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block.
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas.
fromStringThe address of the sender.
gasUsedStringThe amount of gas used by this specific transaction alone.
logsArrayThe logs generated by this transaction.
logsBloomStringThe bloom filter which is used to retrieve related logs.
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal.
toStringThe address of the receiver, null when contract creation.
transactionHashStringThe hash of the transaction.
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal.
typeStringThe type of transaction.
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post.
blobGasPriceStringThe blob gas price used for the transaction.
blobGasUsedStringThe blob gas used for the transaction.
addressStringThe address of the contract.
txIdStringThe hash of the transaction.
logIndexStringThe index of the log, only included for log indexes.
timestampStringThe timestamp of the event.
nextPageTokenStringToken used to retrieve the next page of results.

bd_getDecodedTransactionReceiptsByAddress

Gets a paginated list of decoded transaction receipts by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getDecodedTransactionReceiptsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "contractAddress": "0x0000000000000000000000000000000000000000",
        "cumulativeGasUsed": "0x5208",
        "effectiveGasPrice": "0x5208",
        "from": "0x0000000000000000000000000000000000000000",
        "gasUsed": "0x5208",
        "logs": [
          {
            "logIndex": "0x0",
            "transactionIndex": "0x0",
            "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockNumber": "0x16634CA",
            "address": "0x0000000000000000000000000000000000000000",
            "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
            "topics": [
              "0x0000000000000000000000000000000000000000000000000000000000000001"
            ],
            "removed": false,
            "decoded": {
              "index": 0,
              "name": "address",
              "type": "unit",
              "value": "0x0000000000000000000000000000000000000000"
            },
            "name": "approve",
            "eventType": "Unknown"
          }
        ],
        "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
        "status": "0x1",
        "to": "0x0000000000000000000000000000000000000000",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "transactionIndex": "0x0",
        "type": "0x2",
        "blobGasPrice": "0x5208",
        "blobGasUsed": "0x5208"
      }
    ]
  }
}

Response Object

FieldTypeDescription
blockHashStringThe hash of the block
blockNumberStringThe number of the block
contractAddressStringThe contract address created for contract creation, otherwise null
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas
fromStringThe address of the sender
gasUsedStringThe amount of gas used by this specific transaction alone
logsArrayThe decoded logs generated by this transaction
logsBloomStringThe bloom filter which is used to retrieve related logs
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal
toStringThe address of the receiver, null when contract creation
transactionHashStringThe hash of the transaction
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
typeStringThe type of transaction
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post
blobGasPriceStringThe blob gas price used for the transaction
blobGasUsedStringThe blob gas used for the transaction
addressStringThe address of the contract
txIdStringThe hash of the transaction
logIndexStringThe index of the log, only included for log indexes
timestampStringThe timestamp of the event
nextPageTokenStringToken used to retrieve the next page of results

bd_eth_getTransactionByBlockHashAndIndex

Gets a decoded transaction by block hash and index


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getTransactionByBlockHashAndIndex",
  "params": [
    "0x033600306f8e2c2266716f983648f0eaec7baf9568ba9bbfc38a158bdda31ef1",
    "0x0"
  ]
}

Request Parameter

FieldTypeDescription
params: Block hashString(required) The block hash of the transaction.
params: Transaction indexString(required) The transaction index.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "nonce": "0x0",
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "blockNumber": "0x16634CA",
    "chainId": "0x1",
    "transactionIndex": "0xb4",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "value": "0x0",
    "gas": "0x5208",
    "gasPrice": "0x5bcdcacee",
    "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
    "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
    "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
    "v": "0x25",
    "type": "0x2",
    "maxFeePerGas": "0x5bcdcacee",
    "maxFeePerGasBlob": "0x5bcdcacee",
    "accessList": [
      {
        "address": "0x0000000000000000000000000000000000000000",
        "storageKeys": [
          null
        ]
      }
    ],
    "blobVersionedHashes": [
      null
    ],
    "yParity": "0x0",
    "decoded": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    },
    "name": "approve",
    "eventType": "Unknown"
  }
}

Response Object

FieldTypeDescription
hashStringThe hash of the transaction
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal
blockHashStringThe hash of the block
blockNumberStringThe number of the block
chainIdStringThe chain ID of the block
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
fromStringThe address of the sender
toStringThe address of the receiver, null when contract creation
valueStringThe value transferred in wei encoded as hexadecimal
gasStringThe gas provided by the sender, encoded as hexadecimal
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal
inputStringThe data sent along with the transaction
rStringThe R field of the signature
sStringThe S field of the signature
vStringThe V field of the signature
typeStringThe transaction type
maxFeePerGasStringThe max fee per gas
maxPriorityFeePerGasStringThe max priority fee per gas
maxFeePerGasBlobStringThe max fee per gas blob
accessListArrayA list of addresses and storage keys that the transaction plans to access
blobVersionedHashesArrayThe blob versioned hashes
yParityStringThe y parity
decodedArrayThe decoded data
nameStringName of the method function
eventTypeStringType of the event

bd_eth_getTransactionByBlockNumberAndIndex

Gets a decoded transaction by block number and index.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getTransactionByBlockNumberAndIndex",
  "params": [
    "0x0",
    "0x0"
  ]
}

Request Parameter

FieldTypeDescription
params: Block numberString(required) The block number of the transaction.
params: Transaction indexString(required) The transaction index.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "nonce": "0x0",
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "blockNumber": "0x16634CA",
    "chainId": "0x1",
    "transactionIndex": "0xb4",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "value": "0x0",
    "gas": "0x5208",
    "gasPrice": "0x5bcdcacee",
    "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
    "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
    "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
    "v": "0x25",
    "type": "0x2",
    "maxFeePerGas": "0x5bcdcacee",
    "maxFeePerGasBlob": "0x5bcdcacee",
    "accessList": [
      {
        "address": "0x0000000000000000000000000000000000000000",
        "storageKeys": [
          null
        ]
      }
    ],
    "blobVersionedHashes": [
      null
    ],
    "yParity": "0x0",
    "decoded": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    },
    "name": "approve",
    "eventType": "Unknown"
  }
}

Response Object

FieldTypeDescription
hashStringThe hash of the transaction.
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal.
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
chainIdStringThe chain ID of the block.
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal.
fromStringThe address of the sender.
toStringThe address of the receiver, null when contract creation.
valueStringThe value transferred in wei encoded as hexadecimal.
gasStringThe gas provided by the sender, encoded as hexadecimal.
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal.
inputStringThe data sent along with the transaction.
rStringThe R field of the signature.
sStringThe S field of the signature.
vStringThe V field of the signature.
typeStringThe transaction type.
maxFeePerGasStringThe max fee per gas.
maxPriorityFeePerGasStringThe max priority fee per gas.
maxFeePerGasBlobStringThe max fee per gas blob.
accessListArrayA list of addresses and storage keys that the transaction plans to access.
blobVersionedHashesArrayThe blob versioned hashes.
yParityStringThe y parity.
decodedArrayThe decoded data.
nameStringName of the method function.
eventTypeStringType of the event.

bd_eth_getTransactionByHash

Gets a decoded transaction by hash.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getTransactionByHash",
  "params": [
    "0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
  ]
}

Request Parameter

FieldTypeDescription
params: Transaction hashString(required) The hash of the transaction.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "nonce": "0x0",
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "blockNumber": "0x16634CA",
    "chainId": "0x1",
    "transactionIndex": "0xb4",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "value": "0x0",
    "gas": "0x5208",
    "gasPrice": "0x5bcdcacee",
    "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
    "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
    "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
    "v": "0x25",
    "type": "0x2",
    "maxFeePerGas": "0x5bcdcacee",
    "maxFeePerGasBlob": "0x5bcdcacee",
    "accessList": [
      {
        "address": "0x0000000000000000000000000000000000000000",
        "storageKeys": [
          null
        ]
      }
    ],
    "blobVersionedHashes": [
      null
    ],
    "yParity": "0x0",
    "decoded": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    },
    "name": "approve",
    "eventType": "Unknown"
  }
}

Response Object

FieldTypeDescription
hashStringThe hash of the transaction
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal
blockHashStringThe hash of the block
blockNumberStringThe number of the block
chainIdStringThe chain ID of the block
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
fromStringThe address of the sender
toStringThe address of the receiver, null when contract creation
valueStringThe value transferred in wei encoded as hexadecimal
gasStringThe gas provided by the sender, encoded as hexadecimal
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal
inputStringThe data sent along with the transaction
rStringThe R field of the signature
sStringThe S field of the signature
vStringThe V field of the signature
typeStringThe transaction type
maxFeePerGasStringThe max fee per gas
maxPriorityFeePerGasStringThe max priority fee per gas
maxFeePerGasBlobStringThe max fee per gas blob
accessListArrayA list of addresses and storage keys that the transaction plans to access
blobVersionedHashesArrayThe blob versioned hashes
yParityStringThe y parity
decodedArrayThe decoded data
nameStringName of the method function

bd_getDecodedUnifiedTransactionsByAddress

Gets a paginated list of transactions by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getDecodedUnifiedTransactionsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "nonce": "0x0",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "chainId": "0x1",
        "transactionIndex": "0xb4",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasPrice": "0x5bcdcacee",
        "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
        "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
        "v": "0x25",
        "type": "0x2",
        "maxFeePerGas": "0x5bcdcacee",
        "maxFeePerGasBlob": "0x5bcdcacee",
        "accessList": [
          {
            "address": "0x0000000000000000000000000000000000000000",
            "storageKeys": [
              null
            ]
          }
        ],
        "blobVersionedHashes": [
          null
        ],
        "yParity": "0x0",
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown",
        "contractAddress": "0x0000000000000000000000000000000000000000",
        "cumulativeGasUsed": "0x5208",
        "effectiveGasPrice": "0x5208",
        "gasUsed": "0x5208",
        "logs": [
          {
            "logIndex": "0x0",
            "transactionIndex": "0x0",
            "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
            "blockNumber": "0x16634CA",
            "address": "0x0000000000000000000000000000000000000000",
            "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
            "topics": [
              "0x0000000000000000000000000000000000000000000000000000000000000001"
            ],
            "removed": false,
            "decoded": {
              "index": 0,
              "name": "address",
              "type": "unit",
              "value": "0x0000000000000000000000000000000000000000"
            },
            "name": "approve",
            "eventType": "Unknown"
          }
        ],
        "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
        "status": "0x1",
        "blobGasPrice": "0x5208",
        "blobGasUsed": "0x5208"
      }
    ]
  }
}

Response Object

ArgumentTypeDescription
hashStringThe hash of the transaction.
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal.
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
chainIdStringThe chain ID of the block.
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal.
fromStringThe address of the sender.
toStringThe address of the receiver, null when contract creation.
valueStringThe value transferred in wei encoded as hexadecimal.
gasStringThe gas provided by the sender, encoded as hexadecimal.
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal.
inputStringThe data sent along with the transaction.
rStringThe R field of the signature.
sStringThe S field of the signature.
vStringThe V field of the signature.
typeStringThe transaction type.
maxFeePerGasStringThe max fee per gas.
maxPriorityFeePerGasStringThe max priority fee per gas.
maxFeePerGasBlobStringThe max fee per gas blob.
accessListArrayA list of addresses and storage keys that the transaction plans to access.
blobVersionedHashesArrayThe blob versioned hashes.
yParityStringThe y parity.
decodedArrayThe decoded data.
nameStringName of the method function.
eventTypeStringType of the event.
contractAddressStringThe contract address created for contract creation, otherwise null.
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block.
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas.
gasUsedStringThe amount of gas used by this specific transaction alone.
logsArrayThe logs generated by this transaction.
logsBloomStringThe bloom filter which is used to retrieve related logs.
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal.
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post.
blobGasPriceStringThe blob gas price used for the transaction.
blobGasUsedStringThe blob gas used for the transaction.
addressStringThe address of the contract.
txIdStringThe hash of the transaction.
logIndexStringThe index of the log, only included for log indexes.
timestampStringThe timestamp of the event.
contractAddressStringThe address of the contract the event was emitted from, null if no contract interaction.
nextPageTokenStringToken used to retrieve the next page of results.

bd_getUnifiedTransactionByHash

Gets a decoded unified transaction by hash.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getUnifiedTransactionByHash",
  "params": [
    "0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
  ]
}

Request Parameter

FieldTypeDescription
params: Transaction hashString(required) The hash of the transaction.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "nonce": "0x0",
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "blockNumber": "0x16634CA",
    "chainId": "0x1",
    "transactionIndex": "0xb4",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "value": "0x0",
    "gas": "0x5208",
    "gasPrice": "0x5bcdcacee",
    "input": "0x0000000000000000000000000000000000000000000000000000000000000001",
    "r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
    "s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
    "v": "0x25",
    "type": "0x2",
    "maxFeePerGas": "0x5bcdcacee",
    "maxFeePerGasBlob": "0x5bcdcacee",
    "accessList": [
      {
        "address": "0x0000000000000000000000000000000000000000",
        "storageKeys": [
          null
        ]
      }
    ],
    "blobVersionedHashes": [
      null
    ],
    "yParity": "0x0",
    "decoded": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    },
    "name": "approve",
    "eventType": "Unknown",
    "contractAddress": "0x0000000000000000000000000000000000000000",
    "cumulativeGasUsed": "0x5208",
    "effectiveGasPrice": "0x5208",
    "gasUsed": "0x5208",
    "logs": [
      {
        "logIndex": "0x0",
        "transactionIndex": "0x0",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "address": "0x0000000000000000000000000000000000000000",
        "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "topics": [
          "0x0000000000000000000000000000000000000000000000000000000000000001"
        ],
        "removed": false,
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown"
      }
    ],
    "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
    "status": "0x1",
    "blobGasPrice": "0x5208",
    "blobGasUsed": "0x5208"
  }
}

Response Object

FieldTypeDescription
hashStringThe hash of the transaction.
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal.
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
chainIdStringThe chain ID of the block.
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal.
fromStringThe address of the sender.
toStringThe address of the receiver, null when contract creation.
valueStringThe value transferred in wei encoded as hexadecimal.
gasStringThe gas provided by the sender, encoded as hexadecimal.
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal.
inputStringThe data sent along with the transaction.
rStringThe R field of the signature.
sStringThe S field of the signature.
vStringThe V field of the signature.
typeStringThe transaction type.
maxFeePerGasStringThe max fee per gas.
maxPriorityFeePerGasStringThe max priority fee per gas.
maxFeePerGasBlobStringThe max fee per gas blob.
accessListArrayA list of addresses and storage keys that the transaction plans to access.
blobVersionedHashesArrayThe blob versioned hashes.
yParityStringThe y parity.
decodedArrayThe decoded data.
nameStringName of the method function.
eventTypeStringType of the event.
contractAddressStringThe contract address created for contract creation, otherwise null.
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block.
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas.
gasUsedStringThe amount of gas used by this specific transaction alone.
logsArrayThe logs generated by this transaction.
logsBloomStringThe bloom filter which is used to retrieve related logs.
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal.
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post.
blobGasPriceStringThe blob gas price used for the transaction.
blobGasUsedStringThe blob gas used for the transaction.

bd_debug_traceTransaction

Gets a geth trace by transaction hash including decoded data.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_debug_traceTransaction",
  "params": [
    "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    {
      "tracer": "callTracer",
      "tracerConfig": {
        "onlyTopCall": false
      }
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
tracerstring(optional) Tracer to use (Only callTracer is supported).
tracerConfigobject(optional) Tracer config object.
tracerConfig.onlyTopcallboolean(optional) Only return the top call in the trace.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "type": "call",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "value": "0x0",
    "gas": "0x5208",
    "gasUsed": "0x5208",
    "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
    "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
    "calls": [
      {
        "type": "call",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "gas": "0x5208",
        "gasUsed": "0x5208",
        "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
        "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "calls": [
          null
        ],
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        }
      }
    ],
    "decoded": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    },
    "name": "approve",
    "eventType": "Unknown",
    "decodedOutput": {
      "index": 0,
      "name": "address",
      "type": "unit",
      "value": "0x0000000000000000000000000000000000000000"
    }
  }
}

Response Object

FieldTypeDescription
typeStringType of the trace.
fromString addressFrom address of the trace.
toString addressTo address of the trace, can be null.
valueStringThe integer of the value sent with this transaction.
gasStringThe integer of the gas provided for the transaction execution.
gasUsedStringThe integer of the gas used.
inputStringThe data given at the time of input.
outputStringThe data which is returned as an output.
callsArrayA list of sub-calls.
decodedObjectThe decoded data.
nameStringName of the element.
eventTypeStringType of the event.
decodedOutputObjectThe decoded output data
txHashStringThe hash of the transaction.

Logs API

bd_getDecodedLogsByAddress

Gets a paginated list of decoded logs by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getDecodedLogsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameters

TypeDescription
params: Hex-encoded EVM address(required) The main account address.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "logIndex": "0x0",
        "transactionIndex": "0x0",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "address": "0x0000000000000000000000000000000000000000",
        "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "topics": [
          "0x0000000000000000000000000000000000000000000000000000000000000001"
        ],
        "removed": false,
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown"
      }
    ]
  }
}

Response Object

ArgumentTypeDescription
logIndexStringThe index of the log.
transactionIndexStringThe index of the transaction.
transactionHashStringThe hash of the transaction.
blockHashStringThe hash of the block.
blockNumberStringThe number of the block.
addressStringThe address of the contract.
dataStringThe data of the log.
topicsArrayThe topics of the log.
removedBooleanWhether the log was removed.
decodedObjectThe decoded event data containing index, name, type, and value.
nameStringName of the event.
eventTypeStringType of the event.
txIdStringThe hash of the transaction.
timestampStringThe timestamp of the event.
contractAddressStringThe address of the contract the event was emitted from (null if no contract interaction).
nextPageTokenStringToken used to retrieve the next page of results.

bd_eth_getLogs

Returns an array of all logs matching a given filter object, including decoded data.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getLogs",
  "params": [
    {
      "fromBlock": "0x16634CA",
      "toBlock": "0x16634CA",
      "address": "0x0000000000000000000000000000000000000000",
      "topics": [
        null
      ],
      "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
    }
  ]
}

Request Parameter

FieldTypeDescription
fromBlockStringThe block number to start the search from.
toBlockStringThe block number to end the search at.
addressStringThe address of the contract.
topicsArrayAn array of DATA topics (order-dependent).
blockHashStringRestricts logs to the block referenced. If present, neither fromBlock nor toBlock is allowed.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": [
    {
      "logIndex": "0x0",
      "transactionIndex": "0x0",
      "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
      "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
      "blockNumber": "0x16634CA",
      "address": "0x0000000000000000000000000000000000000000",
      "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
      "topics": [
        "0x0000000000000000000000000000000000000000000000000000000000000001"
      ],
      "removed": false,
      "decoded": {
        "index": 0,
        "name": "address",
        "type": "unit",
        "value": "0x0000000000000000000000000000000000000000"
      },
      "name": "approve",
      "eventType": "Unknown"
    }
  ]
}

Response Object

FieldTypeDescription
logIndexStringThe index of the log
transactionIndexStringThe index of the transaction
transactionHashStringThe hash of the transaction
blockHashStringThe hash of the block
blockNumberStringThe number of the block
addressStringThe address of the contract
dataStringThe data of the log
topicsArrayThe topics of the log
removedBooleanWhether the log was removed
decodedArrayThe decoded data containing index, name, type, and value
nameStringName of the event
eventTypeStringType of the event

bd_getLogsByAddress

Gets a paginated list of logs by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getLogsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameters

TypeDescription
params: Hex-encoded EVM address(required) The address to filter by.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "logIndex": "0x0",
        "transactionIndex": "0x0",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "address": "0x0000000000000000000000000000000000000000",
        "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "topics": [
          "0x0000000000000000000000000000000000000000000000000000000000000001"
        ],
        "removed": false
      }
    ]
  }
}

Response Object

FieldTypeDescription
logIndexStringThe index of the log
transactionIndexStringThe index of the transaction
transactionHashStringThe hash of the transaction
blockHashStringThe hash of the block
blockNumberStringThe number of the block
addressStringThe address of the contract
dataStringThe data of the log
topicsArrayThe topics of the log
removedBooleanWhether the log was removed
nextPageTokenStringToken used to retrieve the next page of results

Receipts API

bd_eth_getBlockReceipts

Gets a blocks receipts including decoded data.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getBlockReceipts",
  "params": [
    "0x1"
  ]
}

Request Parameters

TypeDescription
params: Block number(required) The block number.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": [
    {
      "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
      "blockNumber": "0x16634CA",
      "contractAddress": "0x0000000000000000000000000000000000000000",
      "cumulativeGasUsed": "0x5208",
      "effectiveGasPrice": "0x5208",
      "from": "0x0000000000000000000000000000000000000000",
      "gasUsed": "0x5208",
      "logs": [
        {
          "logIndex": "0x0",
          "transactionIndex": "0x0",
          "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
          "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
          "blockNumber": "0x16634CA",
          "address": "0x0000000000000000000000000000000000000000",
          "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
          "topics": [
            "0x0000000000000000000000000000000000000000000000000000000000000001"
          ],
          "removed": false,
          "decoded": {
            "index": 0,
            "name": "address",
            "type": "unit",
            "value": "0x0000000000000000000000000000000000000000"
          },
          "name": "approve",
          "eventType": "Unknown"
        }
      ],
      "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
      "status": "0x1",
      "to": "0x0000000000000000000000000000000000000000",
      "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
      "transactionIndex": "0x0",
      "type": "0x2",
      "blobGasPrice": "0x5208",
      "blobGasUsed": "0x5208"
    }
  ]
}

Response Object

FieldTypeDescription
blockHashStringThe hash of the block
blockNumberStringThe number of the block
contractAddressStringThe contract address created for contract creation, otherwise null
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas
fromStringThe address of the sender
gasUsedStringThe amount of gas used by this specific transaction alone
logsArrayThe decoded logs generated by this transaction
logsBloomStringThe bloom filter which is used to retrieve related logs
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal
toStringThe address of the receiver, null when contract creation
transactionHashStringThe hash of the transaction
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
typeStringThe type of transaction
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post
blobGasPriceStringThe blob gas price used for the transaction
blobGasUsedStringThe blob gas used for the transaction

bd_eth_getTransactionReceipt

Gets a decoded transaction receipt by hash.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_eth_getTransactionReceipt",
  "params": [
    "0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
  ]
}

Request Parameter

TypeDescription
params: Transaction hash(required) Hash of the transaction receipt.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "blockNumber": "0x16634CA",
    "contractAddress": "0x0000000000000000000000000000000000000000",
    "cumulativeGasUsed": "0x5208",
    "effectiveGasPrice": "0x5208",
    "from": "0x0000000000000000000000000000000000000000",
    "gasUsed": "0x5208",
    "logs": [
      {
        "logIndex": "0x0",
        "transactionIndex": "0x0",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "blockNumber": "0x16634CA",
        "address": "0x0000000000000000000000000000000000000000",
        "data": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "topics": [
          "0x0000000000000000000000000000000000000000000000000000000000000001"
        ],
        "removed": false,
        "decoded": {
          "index": 0,
          "name": "address",
          "type": "unit",
          "value": "0x0000000000000000000000000000000000000000"
        },
        "name": "approve",
        "eventType": "Unknown"
      }
    ],
    "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
    "status": "0x1",
    "to": "0x0000000000000000000000000000000000000000",
    "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
    "transactionIndex": "0x0",
    "type": "0x2",
    "blobGasPrice": "0x5208",
    "blobGasUsed": "0x5208"
  }
}

Response Object

FieldTypeDescription
blockHashStringThe hash of the block
blockNumberStringThe number of the block
contractAddressStringThe contract address created for contract creation, otherwise null
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas
fromStringThe address of the sender
gasUsedStringThe amount of gas used by this specific transaction alone
logsArrayThe decoded logs generated by this transaction
logsBloomStringThe bloom filter which is used to retrieve related logs
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal
toStringThe address of the receiver, null when contract creation
transactionHashStringThe hash of the transaction
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
typeStringThe type of transaction
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post
blobGasPriceStringThe blob gas price used for the transaction
blobGasUsedStringThe blob gas used for the transaction

Transfers API

bd_getNativeTransfersByAddress


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getNativeTransfersByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "blockNumber": "0x16634CA",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "timestamp": "0x16634CA"
      }
    ]
  }
}

Response Object

FieldTypeDescription
fromStringThe address the transfer is from.
toStringThe address the transfer is to.
valueStringThe value of the transfer.
blockNumberStringThe block number of the event.
blockHashStringThe hash of the block.
transactionHashStringThe hash of the transaction.
timestampStringThe timestamp of the event.
nextPageTokenStringToken used to retrieve the next page of results.

bd_getERC20TransfersByAddress

Gets a paginated list of erc20 transfers by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getERC20TransfersByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0x0000000000000000000000000000000000000000",
        "value": "0x0",
        "blockNumber": "0x16634CA",
        "blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "logIndex": "0x1",
        "timestamp": "0x16634CA",
        "tokenAddress": "0x0000000000000000000000000000000000000000"
      }
    ]
  }
}

Response Object

FieldTypeDescription
fromStringThe address the transfer is from.
toStringThe address the transfer is to.
valueStringThe value of the transfer.
blockNumberStringThe block number of the event.
blockHashStringThe hash of the block.
transactionHashStringThe hash of the transaction.
logIndexStringThe index of the log the event was emitted.
timestampStringThe timestamp of the event.
tokenAddressStringThe address of the token transfer.
nextPageTokenStringToken used to retrieve the next page of results.

Events API

bd_getEventsByAddress

Gets a paginated list of decoded events by address..


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getEventsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "eventHash": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
      "contractAddresses": [
        null
      ],
      "verbosityType": "LOG"
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Hash of the block to trace..
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
eventHashString(optional) Event hash to filter by.
contractAddressesArray(optional) List of contract addresses to filter by.
verbosityTypeString (enum = "LOG, TRANSACTION")(optional) Verbosity type.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "address": "0x0000000000000000000000000000000000000000",
        "eventHash": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
        "txId": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
        "logIndex": "0x0",
        "blockNumber": "0x16634CA",
        "timestamp": "0x16634CA",
        "contractAddress": "0x0000000000000000000000000000000000000000"
      }
    ]
  }
}

Response Object

FieldTypeDescription
addressStringThe address of the contract
eventHashStringThe hash of the event
txIdStringThe hash of the transaction
logIndexStringThe index of the log
blockNumberStringThe block number of the event
timestampStringThe timestamp of the event
contractAddressStringThe address of the contract the event was emitted from (or created contract address)
transactionIndexStringThe transactions index position in the block encoded as a hexadecimal
transactionHashStringThe hash of the transaction
blockHashStringThe hash of the block
dataStringThe data of the log
topicsArrayThe topics of the log
removedBooleanWhether the log was removed
decodedArrayThe decoded data containing index, name, type, and value
nameStringName of the event or method function
eventTypeStringType of the event
hashStringThe hash of the transaction
nonceStringThe number of transactions made by the sender prior to this one encoded as hexadecimal
chainIdStringThe chain ID of the block
fromStringThe address of the sender
toStringThe address of the receiver, null when contract creation
valueStringThe value transferred in wei encoded as hexadecimal
gasStringThe gas provided by the sender, encoded as hexadecimal
gasPriceStringThe gas price provided by the sender in wei encoded as hexadecimal
inputStringThe data sent along with the transaction
rStringThe R field of the signature
sStringThe S field of the signature
vStringThe V field of the signature
typeStringThe transaction type
maxFeePerGasStringThe max fee per gas
maxPriorityFeePerGasStringThe max priority fee per gas
maxFeePerGasBlobStringThe max fee per gas blob
accessListArrayA list of addresses and storage keys that the transaction plans to access
blobVersionedHashesArrayThe blob versioned hashes
yParityStringThe y parity
cumulativeGasUsedStringThe total gas used when this transaction was executed in the block
effectiveGasPriceStringThe total base charge plus tip paid for each unit of gas
gasUsedStringThe amount of gas used by this specific transaction alone
logsArrayThe logs generated by this transaction
logsBloomStringThe bloom filter which is used to retrieve related logs
statusStringIt is either 1 (success) or 0 (failure) encoded as a hexadecimal
rootString32 bytes of post-transaction stateroot (pre-Byzantium), null post
blobGasPriceStringThe blob gas price used for the transaction
blobGasUsedStringThe blob gas used for the transaction
nextPageTokenStringToken used to retrieve the next page of results

Traces API

bd_getInternalDecodedTransactionsByAddress

Gets a paginated list of decoded internal transactions by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getInternalDecodedTransactionsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Address to filter by.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "result": {
          "type": "call",
          "from": "0x0000000000000000000000000000000000000000",
          "to": "0x0000000000000000000000000000000000000000",
          "value": "0x0",
          "gas": "0x5208",
          "gasUsed": "0x5208",
          "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
          "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
          "calls": [
            {
              "type": "call",
              "from": "0x0000000000000000000000000000000000000000",
              "to": "0x0000000000000000000000000000000000000000",
              "value": "0x0",
              "gas": "0x5208",
              "gasUsed": "0x5208",
              "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
              "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
              "calls": [
                null
              ],
              "decoded": {
                "index": 0,
                "name": "address",
                "type": "unit",
                "value": "0x0000000000000000000000000000000000000000"
              }
            }
          ],
          "decoded": {
            "index": 0,
            "name": "address",
            "type": "unit",
            "value": "0x0000000000000000000000000000000000000000"
          },
          "name": "approve",
          "eventType": "Unknown",
          "decodedOutput": {
            "index": 0,
            "name": "address",
            "type": "unit",
            "value": "0x0000000000000000000000000000000000000000"
          }
        },
        "txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
      }
    ]
  }
}

Response Object

FieldTypeDescription
resultObjectThe decoded trace
typeStringType of the trace
fromStringFrom address of the trace
errorStringError of the trace, can be null
toStringTo address of the trace, can be null
valueStringThe integer of the value sent with this transaction
gasStringThe integer of the gas provided for the transaction execution
gasUsedStringThe integer of the gas used
inputStringThe data given at the time of input
outputStringThe data which is returned as an output
callsArrayA list of sub-calls
decodedArrayThe decoded input data
nameStringName of the method function
eventTypeStringType of the event
decodedOutputArrayThe decoded output data
txHashStringThe hash of the transaction
nextPageTokenStringToken used to retrieve the next page of results

bd_getInternalTransactionsByAddress

Gets a paginated list of internal transactions by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getInternalTransactionsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Address to filter by.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "result": {
          "type": "call",
          "from": "0x0000000000000000000000000000000000000000",
          "to": "0x0000000000000000000000000000000000000000",
          "value": "0x0",
          "gas": "0x5208",
          "gasUsed": "0x5208",
          "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
          "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
          "calls": [
            {
              "type": "call",
              "from": "0x0000000000000000000000000000000000000000",
              "to": "0x0000000000000000000000000000000000000000",
              "value": "0x0",
              "gas": "0x5208",
              "gasUsed": "0x5208",
              "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
              "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
              "calls": [
                null
              ]
            }
          ]
        },
        "txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
      }
    ]
  }
}

Response Object

FieldTypeDescription
typeStringType of the trace
fromStringFrom address of the trace
errorStringError of the trace, can be null
toStringTo address of the trace, can be null
valueStringThe integer of the value sent with this transaction
gasStringThe integer of the gas provided for the transaction execution
gasUsedStringThe integer of the gas used
inputStringThe data given at the time of input
outputStringThe data which is returned as an output
callsArrayA list of sub-calls
txHashStringThe hash of the transaction
nextPageTokenStringToken used to retrieve the next page of results

bd_getInternalTxFunctionCallsByAddress

Gets a paginated list of decoded function calls by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "method": "bd_getInternalTxFunctionCallsByAddress",
  "params": [
    "0x0000000000000000000000000000000000000000",
    {
      "blockStart": 1,
      "blockEnd": 1,
      "from": 1,
      "to": 1,
      "verbose": false,
      "pageSize": 100,
      "order": "asc",
      "exclusive": true,
      "functionHash": "0x0ba855d7",
      "contractAddresses": [
        null
      ]
    }
  ]
}

Request Parameter

TypeDescription
params: Hex-encoded EVM address(required) Address to filter by.
params: Filter Object(optional) An object with filters. See the table below.

Filter Object

ArgumentTypeDescription
blockStartUnsigned integer or hex-encoded number(optional) Only return hashes higher than or equal to this block number.
blockEndUnsigned integer or hex-encoded number(optional) Only return hashes lower than this block number.
fromString or number(optional) Start epoch timestamp.
toString or number(optional) End epoch timestamp.
verboseBoolean(optional) Verbose output.
pageSizeNumber (minimum = "1", maximum = "100")(optional) Page size.
pageTokenString(optional) Page token for pagination.
orderString (enum = "asc, desc")(optional) Order of the results.
exclusiveBoolean(optional) Whether to exclude results that sit on the start/end boundaries.
functionHashString(optional) Function hash to filter by.
contractAddressesArray(optional) List of contract addresses to filter by.

Response Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
  "result": {
    "result": [
      {
        "result": {
          "type": "call",
          "from": "0x0000000000000000000000000000000000000000",
          "to": "0x0000000000000000000000000000000000000000",
          "value": "0x0",
          "gas": "0x5208",
          "gasUsed": "0x5208",
          "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
          "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
          "calls": [
            {
              "type": "call",
              "from": "0x0000000000000000000000000000000000000000",
              "to": "0x0000000000000000000000000000000000000000",
              "value": "0x0",
              "gas": "0x5208",
              "gasUsed": "0x5208",
              "input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
              "output": "0x0000000000000000000000000000000000000000000000000000000000000001",
              "calls": [
                null
              ],
              "decoded": {
                "index": 0,
                "name": "address",
                "type": "unit",
                "value": "0x0000000000000000000000000000000000000000"
              }
            }
          ],
          "decoded": {
            "index": 0,
            "name": "address",
            "type": "unit",
            "value": "0x0000000000000000000000000000000000000000"
          },
          "name": "approve",
          "eventType": "Unknown",
          "decodedOutput": {
            "index": 0,
            "name": "address",
            "type": "unit",
            "value": "0x0000000000000000000000000000000000000000"
          }
        },
        "txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
      }
    ]
  }
}

Response Object

FieldTypeDescription
typeStringType of the trace.
fromStringFrom address of the trace.
errorStringError of the trace, can be null.
toStringTo address of the trace, can be null.
valueStringThe integer of the value sent with this transaction.
gasStringThe integer of the gas provided for the transaction execution.
gasUsedStringThe integer of the gas used.
inputStringThe data given at the time of input.
outputStringThe data which is returned as an output.
callsArrayA list of sub-calls.
decodedArrayThe decoded input data.
nameStringName of the method function.
eventTypeStringType of the event.
decodedOutputArrayThe decoded output data.
txHashStringThe hash of the transaction.
nextPageTokenStringToken used to retrieve the next page of results.

bd_getTxFunctionCallsByAddress

Gets a paginated list of decoded function calls by address.


Compute Unit Value: 10 CU

Request Example

{
  "jsonrpc": "2.0",
  "id": "1234567890",
[...]
